GOLF(2gg)

NAME
current-row - (database)

PURPOSE
Get or print out the row number of a current row in the result-set of a query.

SYNTAX

        current-row [ to <current row> ]

DESCRIPTION
Without "to" clause, current-row will print out the current row number. First row is numbered 1. With "to" clause, the row number is stored into variable <current row>. current-row must be within a run-query loop, and it always refers to the most inner one.

EXAMPLES
Display row number before a line with first and last name for each employee:

        run-query @mydb="select firstName, lastName from employee" output firstName, lastName
            @Row #<<current-row>><br/>
            print-out firstName
            @,
            print-out lastName
            @<br/>
        end-query

SEE ALSO
 Database

begin-transaction commit-transaction current-row database-config-file db-error mariadb-database postgresql-database rollback-transaction run-query sqlite-database See all documentation